\_\_NOTOC\_\_

<div class="noh3border">
The Perforce Workshop is maintained by Perforce Software to support our
community and open source developers at large in building and sharing
tools using Perforce.

You will find several Perforce-initiated open source projects here,
including [Jam](Jam "wikilink"), a fully portable alternative to
*make(1)*, as well as source code for some Perforce products such as
P4Perl, P4Ant, and the classic Perforce client
[P4Win](P4Win "wikilink").

You are welcome to [contribute](contribute "wikilink") to any of the
software or documentation in the Perforce Workshop. If you're simply
interested in seeing how Perforce works, you'll find the Workshop to be
an accessible model of real, distributed, concurrent source management
in action.

### About Perforce

[Perforce](http://www.perforce.com/) provides a code collaboration
platform that can be used to track shared software development with
distributed teams. A Perforce server stores files in a depot, and
developers all over the world can submit changes to the depot. The
orderly management of file changes and merges is provided by the
[Perforce Version Management and Collaboration
system](http://www.perforce.com/product/product_features).

+---+---+-----+
| < | < | <h3 |
| h | h | >   |
| 3 | 3 | New |
| > | > | s   |
| F | A |     |
| i | d | </h |
| n | d | 3>  |
| d | P | **J |
| P | r | oin |
| r | o | the |
| o | j | Per |
| j | e | for |
| e | c | ce  |
| c | t | Wor |
| t | s | ksh |
| s |   | op! |
|   | < | **  |
| < | / |     |
| / | h | If  |
| h | 3 | you |
| 3 | > | wan |
| > | [ | t   |
| * | H | to  |
| * | o | con |
| T | w | tri |
| h | t | but |
| e | o | e,  |
| W | C | com |
| o | o | men |
| r | n | t,  |
| k | t | or  |
| s | r | jus |
| h | i | t   |
| o | b | fol |
| p | u | low |
| i | t | you |
| s | e | r   |
| i | ] | fav |
| n | ( | ori |
| t | H | te  |
| h | o | pro |
| e | w | jec |
| p | _ | ts, |
| r | t | sig |
| o | o | n   |
| c | _ | up  |
| e | C | at  |
| s | o | <ht |
| s | n | tps |
| o | t | :// |
| f | r | swa |
| m | i | rm. |
| o | b | wor |
| v | u | ksh |
| i | t | op. |
| n | e | per |
| g |   | for |
| f | " | ce. |
| r | w | com |
| o | i | /si |
| m | k | gnu |
| M | i | p>  |
| e | l |     |
| d | i |     |
| i | n |     |
| a | k |     |
| w | " |     |
| i | ) |     |
| k |   |     |
| i | [ |     |
| t | C |     |
| o | o |     |
| P | n |     |
| e | t |     |
| r | r |     |
| f | i |     |
| o | b |     |
| r | u |     |
| c | t |     |
| e | o |     |
| S | r |     |
| w | F |     |
| a | A |     |
| r | Q |     |
| m | ] |     |
| ! | ( |     |
| * | F |     |
| * | A |     |
|   | Q |     |
| T | # |     |
| o | C |     |
| b | o |     |
| r | n |     |
| o | t |     |
| w | r |     |
| s | i |     |
| e | b |     |
| p | u |     |
| r | t |     |
| o | o |     |
| j | r |     |
| e | s |     |
| c |   |     |
| t | " |     |
| s | w |     |
| v | i |     |
| i | k |     |
| s | i |     |
| i | l |     |
| t | i |     |
| : | n |     |
| < | k |     |
| h | " |     |
| t | ) |     |
| t |   |     |
| p | [ |     |
| s | P |     |
| : | r |     |
| / | o |     |
| / | j |     |
| s | e |     |
| w | c |     |
| a | t |     |
| r | s |     |
| m | F |     |
| . | A |     |
| w | Q |     |
| o | ] |     |
| r | ( |     |
| k | F |     |
| s | A |     |
| h | Q |     |
| o | # |     |
| p | P |     |
| . | r |     |
| p | o |     |
| e | j |     |
| r | e |     |
| f | c |     |
| o | t |     |
| r | s |     |
| c |   |     |
| e | " |     |
| . | w |     |
| c | i |     |
| o | k |     |
| m | i |     |
| / | l |     |
| e | i |     |
| x | n |     |
| p | k |     |
| l | " |     |
| o | ) |     |
| r |   |     |
| e |   |     |
| / |   |     |
| > |   |     |
+---+---+-----+

</div>

